package com.xingxi.business.News.mapper;

import com.xingxi.business.News.domain.NewsPic;

import java.util.List;

/**
 * 新闻图片Mapper接口
 *
 * @author xingxi
 * @date 2025-03-06
 */
public interface NewsPicMapper {
    /**
     * 查询新闻图片
     *
     * @param id 新闻图片主键
     * @return 新闻图片
     */
    NewsPic selectNewsPicById(Long id);

    /**
     * 查询新闻图片列表
     *
     * @param newsPic 新闻图片
     * @return 新闻图片集合
     */
    List<NewsPic> selectNewsPicList(NewsPic newsPic);

    /**
     * 新增新闻图片
     *
     * @param newsPic 新闻图片
     * @return 结果
     */
    int insertNewsPic(NewsPic newsPic);

    /**
     * 批量新增新闻图片
     *
     * @param newsPicList 新闻图片
     * @return 结果
     */
    int batchInsertNewsPic(List<NewsPic> newsPicList);

    /**
     * 修改新闻图片
     *
     * @param newsPic 新闻图片
     * @return 结果
     */
    int updateNewsPic(NewsPic newsPic);

    /**
     * 删除新闻图片
     *
     * @param id 新闻图片主键
     * @return 结果
     */
    int deleteNewsPicById(Long id);

    /**
     * 批量删除新闻图片
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteNewsPicByIds(String[] ids);


    /**
     * 逻辑删除新闻图片
     *
     * @param id 新闻图片主键
     * @return 结果
     */
    int logicDeleteNewsPicById(Long id);

    /**
     * 逻辑批量删除新闻图片
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int logicDeleteNewsPicByIds(String[] ids);

    /**
     * 逻辑批量删除新闻图片
     *
     * @param newsPic 新闻图片
     * @return 结果
     */
    int logicDeleteNewsPicByCondition(NewsPic newsPic);

}
